List
curl --request GET \
--url https://api.qa.sima.ag/api/v3/third_party/device_event_protocols \
--header 'Authorization: Bearer <token>' \
--header 'X-SIMA-SYSTEM-ID: <api-key>'import requests
url = "https://api.qa.sima.ag/api/v3/third_party/device_event_protocols"
headers = {
"Authorization": "Bearer <token>",
"X-SIMA-SYSTEM-ID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'X-SIMA-SYSTEM-ID': '<api-key>'}
};
fetch('https://api.qa.sima.ag/api/v3/third_party/device_event_protocols', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.sima.ag/api/v3/third_party/device_event_protocols",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"X-SIMA-SYSTEM-ID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"items": [
{
"id": 1,
"name": "Lluvia",
"procedure": "Se registra la acumulación de agua por día",
"climatic_factor_id": 1,
"created_at": "2025-06-04T10:39:37-03:00",
"modified_at": "2025-06-04T10:39:37-03:00",
"deleted_at": null,
"active": true
},
{
"id": 2,
"name": "Granizo",
"procedure": "Se registra presencia de granizo por día",
"climatic_factor_id": 2,
"created_at": "2025-06-04T10:39:37-03:00",
"modified_at": "2025-06-04T10:39:37-03:00",
"deleted_at": null,
"active": true
},
{
"id": 3,
"name": "Helada",
"procedure": "Se registra presencia de helada por día",
"climatic_factor_id": 3,
"created_at": "2025-06-04T10:39:37-03:00",
"modified_at": "2025-06-04T10:39:37-03:00",
"deleted_at": null,
"active": true
},
{
"id": 4,
"name": "Viento",
"procedure": "Se registra la velocidad máxima del viento por día",
"climatic_factor_id": 4,
"created_at": "2025-06-04T10:39:37-03:00",
"modified_at": "2025-06-04T10:39:37-03:00",
"deleted_at": null,
"active": true
},
{
"id": 5,
"name": "Daños por viento",
"procedure": "Se registra presencia de daño por viento por día",
"climatic_factor_id": 5,
"created_at": "2025-06-04T10:39:37-03:00",
"modified_at": "2025-06-04T10:39:37-03:00",
"deleted_at": null,
"active": true
}
],
"current_page": 1,
"next_page": 1,
"total_pages": 1,
"total_items": 5
}{
"error": {
"code": 400,
"message": "El parámentro table_code_id no fue encontrado",
"exception": [
{
"file": "/var/www/html/src/Kodear/ApiBundle/Controller/v3/ThirdParty/IOT/DeviceEventProtocolsController.php",
"line": 61,
"function": "validate",
"class": "Kodear\\ApiBundle\\Validations\\Utils\\ValidateParameterIsNotNull",
"type": "::",
"args": [
{
"attributes": {},
"request": {},
"query": {},
"server": {},
"files": {},
"cookies": {},
"headers": {}
},
"table_code_id",
{}
]
},
{
"file": "/var/www/html/vendor/symfony/symfony/src/Symfony/Component/HttpKernel/HttpKernel.php",
"line": 151,
"function": "list",
"class": "Kodear\\ApiBundle\\Controller\\v3\\ThirdParty\\IOT\\DeviceEventProtocolsController",
"type": "->",
"args": [
{
"attributes": {},
"request": {},
"query": {},
"server": {},
"files": {},
"cookies": {},
"headers": {}
}
]
},
{
"file": "/var/www/html/vendor/symfony/symfony/src/Symfony/Component/HttpKernel/HttpKernel.php",
"line": 68,
"function": "handleRaw",
"class": "Symfony\\Component\\HttpKernel\\HttpKernel",
"type": "->",
"args": [
{
"attributes": {},
"request": {},
"query": {},
"server": {},
"files": {},
"cookies": {},
"headers": {}
},
1
]
},
{
"file": "/var/www/html/vendor/symfony/symfony/src/Symfony/Component/HttpKernel/Kernel.php",
"line": 200,
"function": "handle",
"class": "Symfony\\Component\\HttpKernel\\HttpKernel",
"type": "->",
"args": [
{
"attributes": {},
"request": {},
"query": {},
"server": {},
"files": {},
"cookies": {},
"headers": {}
},
1,
true
]
},
{
"file": "/var/www/html/web/app_dev.php",
"line": 15,
"function": "handle",
"class": "Symfony\\Component\\HttpKernel\\Kernel",
"type": "->",
"args": [
{
"attributes": {},
"request": {},
"query": {},
"server": {},
"files": {},
"cookies": {},
"headers": {}
}
]
}
]
}
}{
"error": {
"code": 404,
"message": "Página inexistente.",
"exception": [
{
"file": "/var/www/html/src/Kodear/ApiBundle/Controller/v3/ThirdParty/IOT/DeviceEventProtocolsController.php",
"line": 104,
"function": "getPaginator",
"class": "Kodear\\ApiBundle\\Resource\\Paginator\\PaginatorResource",
"type": "->",
"args": []
},
{
"file": "/var/www/html/vendor/symfony/symfony/src/Symfony/Component/HttpKernel/HttpKernel.php",
"line": 151,
"function": "list",
"class": "Kodear\\ApiBundle\\Controller\\v3\\ThirdParty\\IOT\\DeviceEventProtocolsController",
"type": "->",
"args": [
{
"attributes": {},
"request": {},
"query": {},
"server": {},
"files": {},
"cookies": {},
"headers": {}
}
]
},
{
"file": "/var/www/html/vendor/symfony/symfony/src/Symfony/Component/HttpKernel/HttpKernel.php",
"line": 68,
"function": "handleRaw",
"class": "Symfony\\Component\\HttpKernel\\HttpKernel",
"type": "->",
"args": [
{
"attributes": {},
"request": {},
"query": {},
"server": {},
"files": {},
"cookies": {},
"headers": {}
},
1
]
},
{
"file": "/var/www/html/vendor/symfony/symfony/src/Symfony/Component/HttpKernel/Kernel.php",
"line": 200,
"function": "handle",
"class": "Symfony\\Component\\HttpKernel\\HttpKernel",
"type": "->",
"args": [
{
"attributes": {},
"request": {},
"query": {},
"server": {},
"files": {},
"cookies": {},
"headers": {}
},
1,
true
]
},
{
"file": "/var/www/html/web/app_dev.php",
"line": 15,
"function": "handle",
"class": "Symfony\\Component\\HttpKernel\\Kernel",
"type": "->",
"args": [
{
"attributes": {},
"request": {},
"query": {},
"server": {},
"files": {},
"cookies": {},
"headers": {}
}
]
}
]
}
}Version 3 > IOT > Device Event Protocol
List
GET
/
api
/
v3
/
third_party
/
device_event_protocols
List
Authorizations
access_token obtenido via POST /api/v2/login
Identificador del sistema integrador (8 para Third-Party API)
Response
OK
The response is of type object.

